Subject: bug#37850: Glib documentation is missing

From: Pierre Neidhardt <[email-masked]>
Date: Mon, 11 Nov 2019 10:29:03 +0100

Hi Marius,

you are right, this seems to be a much saner approach.
So I've tried the following:

- add `(properties '((hidden? . #t)) )` to glib.
- Add the following new package definition:

--8<---------------cut here---------------start------------->8---
(define-public glib-with-documentation
  (package
    (inherit glib)
    (properties '((hidden? . #f)))
    (outputs (cons "doc" (package-outputs glib))) ; 20 MiB of GTK-Doc reference
    (native-inputs
     `(("gtk-doc" ,gtk-doc)             ; for the doc
       ,@(package-native-inputs glib)))
    (arguments
     (substitute-keyword-arguments (package-arguments glib)
       ((#:configure-flags flags)
        `(cons "-Dgtk_doc=true" ,flags))
       ;; TODO: Fix 1 failing test.
       ((#:phases phases)
        `(modify-phases ,phases
           (delete 'check)))))))
--8<---------------cut here---------------end--------------->8---

Sadly the above does not build the doc.

Looking at the source, it seems that no provision is taken for building
the doc with Meson.  I wonder if this is an upstream mistake, but my
knowledge of Meson is very limited and I could be wrong.

Any idea, anyone?

-- 
Pierre Neidhardt
https://ambrevar.xyz/